<form [formGroup]="searchForm" (ngSubmit)="onSubmit()">
  <div class="card flex flex-wrap gap-3 p-fluid">
    <div class="flex-auto">
      <input pInputText type="number" id="month" formControlName="month" placeholder="Ingrese el mes" />
      <div *ngIf="isMonthRequiredError()" class="p-error">
        Mes es requerido.
      </div>
      <div *ngIf="isMonthRangeError()" class="p-error">
        Mes debe estar entre 1 y 12.
      </div>
    </div>
    <div class="flex-auto">
      <input pInputText type="number" id="year" formControlName="year" placeholder="Ingrese el año" />
      <div *ngIf="isYearRequiredError()" class="p-error">
        Año es requerido.
      </div>
      <div *ngIf="isYearRangeError()" class="p-error">
        Año debe ser mayor o igual a 1900.
      </div>
    </div>
    <div class="flex-auto">
      <button pButton type="submit" label="Descargar" [disabled]="!searchForm.valid || loading">
        <i *ngIf="loading" class="pi pi-spin pi-spinner"></i>
      </button>
    </div>
  </div>
  <p-toast position="bottom-right"></p-toast>
</form>

